Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85351 - [PATCH] Desktop menu not localizable
Summary: [PATCH] Desktop menu not localizable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-28 14:30 UTC by Miloslav Trmac
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version: 2.0.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-30 02:25:34 UTC


Attachments (Terms of Use)
Patch fixing the build process (deleted)
2003-07-16 01:03 UTC, Miloslav Trmac
no flags Details | Diff
Updated Czech translation (deleted)
2003-07-16 01:05 UTC, Miloslav Trmac
no flags Details | Diff
Updated Czech translation (deleted)
2003-07-16 01:08 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2003-02-28 14:30:42 UTC
Description of problem:
The .desktop Name and Comment entries are not available for translation
in the .po file.

Version:
e.g. rhn-applet-2.0.8-1

Comment 1 Miloslav Trmac 2003-07-16 01:03:25 UTC
Created attachment 92952 [details]
Patch fixing the build process

This changes the build process to use intltool, build rhn-applet.desktop
from rhn-applet.desktop.in and translations, and on the other hand to
include the two strings from rhn-applet.desktop.in among strings to translate.

You should probably add BuildRequires: intltool to the spec file.

Comment 2 Miloslav Trmac 2003-07-16 01:05:45 UTC
Created attachment 92953 [details]
Updated Czech translation

Updated Czech translation so that you can test it.

After applying the two patches and rebuilding the rhn-applet RPM,
/usr/share/applications/rhn-applet.desktop should contain Czech
localized entries (Name[cs] and Comment[cs]).

Comment 3 Miloslav Trmac 2003-07-16 01:08:03 UTC
Created attachment 92954 [details]
Updated Czech translation

Oops, submitted the code patch again.

Comment 4 Miloslav Trmac 2003-07-16 01:14:32 UTC
For reference, the above patches are against rhn-applet-2.0.9-1.

Comment 5 Daniel Veillard 2003-07-16 09:25:01 UTC
 Looks good ! Applied and commited, the patch and string update,

   thanks a lot,

Daniel  

Comment 6 Miloslav Trmac 2003-07-30 02:25:34 UTC
Fix confirmed, thanks.

Please push the updated translations to elvis.redhat.com sometime so that
translators for other languages get a chance to add their translations.


Note You need to log in before you can comment on or make changes to this bug.